"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.addSequentialTask = addSequentialTask;

var _lodash = require("lodash");

function addSequentialTask(name, task) {
  var packageFilePath = this.destinationPath("package.json");
  var oldPackageData = this.fs.readJSON(packageFilePath, {});

  var oldScripts = oldPackageData.scripts;
  var newScripts = _extends({}, oldScripts);

  if (oldScripts && oldScripts[name]) {
    var oldTask = oldScripts[name];

    if (oldTask.includes(task)) {
      return; // Nothing to do really
    }

    newScripts[name] = oldTask + " && " + task;

    // TODO
  } else {
      newScripts[name] = task;
    }

  var newPackageData = (0, _lodash.merge)(oldPackageData, { scripts: newScripts });
  this.fs.writeJSON(packageFilePath, newPackageData);
}