"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addIgnorePatternsToFile = addIgnorePatternsToFile;
exports.addIgnorePatterns = addIgnorePatterns;

var _os = require("os");

function addIgnorePatternsToFile(fileSystem, filePath, patterns) {
  var ignoreFileContent = fileSystem.read(filePath, { defaults: "" });
  var newIgnoreFileContent = addIgnorePatterns(ignoreFileContent, patterns);
  fileSystem.write(filePath, newIgnoreFileContent);
}

function addIgnorePatterns(ignoreFileContent, patterns) {
  return (ignoreFileContent.trim() + _os.EOL.repeat(2) + patterns.join(_os.EOL)).trim();
}