"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.libraryName = libraryName;
exports.authorName = authorName;
exports.githubUsername = githubUsername;
exports.authorEmail = authorEmail;
exports.sourceDirectory = sourceDirectory;
exports.targetDirectory = targetDirectory;
exports.scriptSuffix = scriptSuffix;

var _path = require("path");

function libraryName(destinationDirectory) {
  return {
    type: "input",
    name: "libraryName",
    message: "Library name",
    default: (0, _path.basename)(destinationDirectory),

    validate: function validate(libraryName) {
      return libraryName.length !== 0;
    }
  };
}

function authorName(defaultValue) {
  return {
    type: "input",
    name: "authorName",
    message: "Your name",
    default: defaultValue
  };
}

function githubUsername(defaultValue) {
  return {
    type: "input",
    name: "githubUsername",
    message: "Your GitHub username",
    default: defaultValue,

    validate: function validate(githubUsername) {
      return githubUsername.length !== 0;
    }
  };
}

function authorEmail(defaultValue) {
  return {
    type: "input",
    name: "authorEmail",
    message: "Your email",
    default: defaultValue
  };
}

function sourceDirectory(name) {
  return {
    type: "input",
    name: "sourceDirectory",
    message: name + " source directory",
    default: "src",

    validate: function validate(sourceDirectory) {
      return sourceDirectory.length !== 0;
    }
  };
}

function targetDirectory(name) {
  return {
    type: "input",
    name: "targetDirectory",
    message: name + " target directory",
    default: "lib",

    validate: function validate(targetDirectory) {
      return targetDirectory.length !== 0;
    }
  };
}

function scriptSuffix(name) {
  return {
    type: "input",
    name: "scriptSuffix",
    message: name + " scripts suffix (as in \"build:$suffix\")",
    default: ""
  };
}