"use strict";

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

var _ignoreFile = require("../app/editor/ignoreFile");

var _json = require("../app/editor/json");

var _package = require("../app/editor/package");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var devDependencies = {
  "babel-cli": "^6",
  "babel-register": "^6",

  "babel-preset-es2015": "^6",
  "babel-preset-stage-0": "^6",
  "babel-preset-react": "^6",

  "babel-plugin-transform-decorators-legacy": "^1"
};

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;
    });
  },
  configuring: function configuring() {
    _package.mergePackage.call(this, {
      devDependencies: devDependencies
    });

    _json.mergeJSON.call(this, this.destinationPath(".babelrc"), {
      "presets": ["es2015", "stage-0"],

      "plugins": ["transform-decorators-legacy"]
    }, _json.BABEL_CONFIG_ORDER);

    (0, _ignoreFile.addIgnorePatternsToFile)(this.fs, this.destinationPath(".npmignore"), ["/.babelrc"]);
  },
  install: function install() {
    this.npmInstall();
  }
});