"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

var _ignoreFile = require("../app/editor/ignoreFile");

var _json = require("../app/editor/json");

var _package = require("../app/editor/package");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CONFIG_NAMES = ["node-lib", "node-app", "browser-lib", "browser-app", "react-lib", "react-app"];

var devDependencies = {
  "eslint": "^2",
  "babel-eslint": "^4",

  "eslint-plugin-babel": "^3",
  "eslint-plugin-import": "1.0.0-beta.0",

  "eslint-config-renke": "^0"
};

var configDependencies = {
  "react-lib": {
    "eslint-plugin-react": "^4.0.0"
  },

  "react-app": {
    "eslint-plugin-react": "^4.0.0"
  }
};

function eslintConfigName() {
  return {
    type: "list",
    name: "eslintConfigName",
    message: "ESLint config name",
    choices: CONFIG_NAMES
  };
}

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.ask("eslintConfigName", eslintConfigName());

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;
    });
  },
  configuring: function configuring() {
    var eslintConfigName = this.answers.eslintConfigName;


    _json.mergeJSON.call(this, this.destinationPath(".eslintrc"), {
      extends: ["renke/config/" + eslintConfigName]
    });

    _package.mergePackage.call(this, {
      scripts: {
        "check": "eslint src test",
        "watch:check": 'watch "npm run check --silent"'
      },

      devDependencies: _extends({}, devDependencies, configDependencies[eslintConfigName] || {})
    });

    (0, _ignoreFile.addIgnorePatternsToFile)(this.fs, this.destinationPath(".npmignore"), ["/.eslintrc"]);
  },
  install: function install() {
    this.npmInstall();
  }
});