"use strict";

var _questions = require("../app/questions");

var q = _interopRequireWildcard(_questions);

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _fs = require("fs");

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

var _json = require("../app/editor/json");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.ask("libraryName", q.libraryName(this.destinationRoot()));
    // TODO: Use username as default value
    interviewer.ask("githubUsername", q.githubUsername());

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;
    });
  },
  configuring: function configuring() {
    var _answers = this.answers;
    var libraryName = _answers.libraryName;
    var githubUsername = _answers.githubUsername;


    _json.mergeJSON.call(this, this.destinationPath("package.json"), {
      repository: buildRepositoryName(libraryName, githubUsername)
    });
  },
  end: function end() {
    var _this2 = this;

    var _answers2 = this.answers;
    var libraryName = _answers2.libraryName;
    var githubUsername = _answers2.githubUsername;


    var done = this.async();

    (0, _fs.stat)(this.destinationPath(".git"), function (err) {
      if (err !== null) {
        // Directory doesn't exist
        _this2.spawnCommandSync("git", ["init"]);
      }

      var repositoryUrl = buildRepositoryUrl(libraryName, githubUsername);
      _this2.spawnCommandSync("git", ["remote", "add", "origin", repositoryUrl]);

      done();
    });
  }
});

function buildRepositoryName(libraryName, githubUsername) {
  return githubUsername + "/" + libraryName;
}

function buildRepositoryUrl(libraryName, githubUsername) {
  return "git@github.com:" + buildRepositoryName(libraryName, githubUsername) + ".git";
}