"use strict";

var _questions = require("../app/questions");

var q = _interopRequireWildcard(_questions);

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

var _json = require("../app/editor/json");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.ask("authorName", q.authorName(this.user.git.name()));

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;
    });
  },
  configuring: function configuring() {
    var authorName = this.answers.authorName;


    this.fs.copyTpl(this.templatePath("LICENSE.ejs"), this.destinationPath("LICENSE"), {
      year: new Date().getFullYear(),
      fullname: authorName
    });

    _json.mergeJSON.call(this, this.destinationPath("package.json"), {
      license: "ISC"
    });
  }
});