"use strict";

var _questions = require("../app/questions");

var q = _interopRequireWildcard(_questions);

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _lodash = require("lodash");

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

var _ignoreFile = require("../app/editor/ignoreFile");

var _package = require("../app/editor/package");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var devDependencies = {
  "mocha": "^2",
  "chai": "^3",
  "sinon": "^1"
};

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);

    this.answers = {};
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.ask("libraryName", q.libraryName(this.destinationRoot()));

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;
    });
  },
  configuring: function configuring() {
    var libraryName = this.answers.libraryName;


    var packageName = (0, _lodash.kebabCase)(libraryName);
    var moduleName = (0, _lodash.camelCase)(libraryName);

    this.fs.copyTpl(this.templatePath("test/index.js.ejs"), this.destinationPath("test/index.js"), {
      packageName: packageName,
      moduleName: moduleName
    });

    _package.mergePackage.call(this, {
      scripts: {
        "test": "mocha --compilers js:babel-register",
        "watch:test": "mocha --compilers js:babel-register --watch"
      },
      devDependencies: devDependencies
    });

    (0, _ignoreFile.addIgnorePatternsToFile)(this.fs, this.destinationPath(".npmignore"), ["/test"]);
  },
  install: function install() {
    this.npmInstall();
  }
});