"use strict";

var _questions = require("../app/questions");

var q = _interopRequireWildcard(_questions);

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _lodash = require("lodash");

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

var _ignoreFile = require("../app/editor/ignoreFile");

var _json = require("../app/editor/json");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);

    this.answers = {};
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.ask("libraryName", q.libraryName(this.destinationRoot()));
    interviewer.ask("authorName", q.authorName(this.user.git.name()));
    interviewer.ask("authorEmail", q.authorEmail(this.user.git.email()));

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;
    });
  },
  configuring: function configuring() {
    var _answers = this.answers;
    var libraryName = _answers.libraryName;
    var authorName = _answers.authorName;
    var authorEmail = _answers.authorEmail;


    var packageName = (0, _lodash.kebabCase)(libraryName);

    _json.mergeJSON.call(this, this.destinationPath("package.json"), {
      name: packageName,
      version: "0.0.0",
      description: libraryName,

      private: true,

      author: {
        name: authorName,
        email: authorEmail
      }
    });

    (0, _ignoreFile.addIgnorePatternsToFile)(this.fs, this.destinationPath(".npmignore"), ["/.npmignore", libraryName + "-*.tgz"]);

    (0, _ignoreFile.addIgnorePatternsToFile)(this.fs, this.destinationPath(".gitignore"), ["/node_modules", "/npm-debug.log", libraryName + "-*.tgz"]);
  },
  install: function install() {
    this.npmInstall();
  }
});