"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _questions = require("../app/questions");

var q = _interopRequireWildcard(_questions);

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _useGenerator = require("../app/useGenerator");

var _useGenerator2 = _interopRequireDefault(_useGenerator);

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var otherGenerators = ["app", "editorconfig", "git", "github", "license", "mocha", "npm", "readme"];

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.ask("libraryName", q.libraryName(this.destinationRoot()));

    interviewer.ask("authorName", q.authorName(this.user.git.name()));
    interviewer.ask("authorEmail", q.authorEmail(this.user.git.email()));

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;

      otherGenerators.forEach(function (name) {
        _useGenerator2.default.call(_this, name, answers);
      });

      _useGenerator2.default.call(_this, "babel", _extends({}, answers));

      _useGenerator2.default.call(_this, "babel-lib", _extends({}, answers, {
        sourceDirectory: "src",
        targetDirectory: "lib",
        scriptSuffix: ""
      }));

      _useGenerator2.default.call(_this, "react", _extends({}, answers));

      _useGenerator2.default.call(_this, "webpack", _extends({}, answers, {
        sourceDirectory: "example/src",
        targetDirectory: "example/lib",
        scriptSuffix: "example"
      }));

      _useGenerator2.default.call(_this, "eslint", _extends({}, answers, {
        eslintConfigName: "react-lib"
      }));

      _useGenerator2.default.call(_this, "eslint-mocha", _extends({}, answers));
    });
  }
});