"use strict";

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _Interviewer = require("../app/Interviewer");

var _Interviewer2 = _interopRequireDefault(_Interviewer);

var _json = require("../app/editor/json");

var _package = require("../app/editor/package");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var devDependencies = {
  "react": "^0.14",
  "react-dom": "^0.14",

  "babel-preset-react": "^6",

  "babel-plugin-react-transform": "^2",

  "react-transform-hmr": "^0",

  "react-transform-catch-errors": "^1",
  "redbox-react": "^1"
};

var peerDependencies = {
  "react": "^0",
  "react-dom": "^0"
};

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  prompting: function prompting() {
    var _this = this;

    var interviewer = new _Interviewer2.default(this.options);

    interviewer.prompt(this).then(function (answers) {
      _this.answers = answers;
    });
  },
  configuring: function configuring() {
    _package.mergePackage.call(this, {
      devDependencies: devDependencies,
      peerDependencies: peerDependencies
    });

    _json.mergeJSON.call(this, this.destinationPath(".babelrc"), {
      // TODO: "Merge" arrays by concat()
      presets: ["es2015", "stage-0", "react"],

      // TODO: Make is a little prettier
      env: { development: { plugins: [["react-transform", { "transforms": [{
              "transform": "react-transform-hmr",
              "imports": ["react"],
              "locals": ["module"]
            }, {
              "transform": "react-transform-catch-errors",
              "imports": ["react", "redbox-react"]
            }] }]] } }
    }, _json.BABEL_CONFIG_ORDER);
  },
  install: function install() {
    this.npmInstall();
  }
});